@import "src/@fuse/scss/fuse";

.table {
    border-collapse: collapse;
}
.table th, 
.table tr, 
.table td {
    border: 1px solid #9b9b9b;
}

@media screen {
    #medicalrecords {
        .header {
            .search-wrapper {
                width: 100%;
                max-width: 480px;
                border-radius: 28px;
                overflow: hidden;
                @include mat-elevation(1);
                .search {
                    width: 100%;
                    height: 48px;
                    line-height: 48px;
                    padding: 0 18px;
                    input {
                        width: 100%;
                        height: 48px;
                        min-height: 48px;
                        max-height: 48px;
                        padding: 0 16px;
                        border: none;
                        outline: none;
                    }
                }
            }
        }
        .content {
            overflow: hidden;
            .sidebar {
                &:not(.locked-open) {
                    background: white;
                }
            }
        }
    }
    
    .container-mr{
        width: 80%;
        margin: 0 auto;
    }

    p > span {
        margin-left: 15pt;
    }
}

@page { 
    margin: 20pt;
    border: 2px solid #333;
}

@media print {

    html, body {
        margin: 0;
        font-family: Arial, Helvetica, sans-serif !important;
        line-height: 1.27;
    }

    #medicalrecords {
        top: -90pt;

        .mat-card {
            box-shadow: none !important;
            padding: 0;
            font-family: Arial, Helvetica, sans-serif !important;
        }

        h1, h2, h3, h4 {
            margin: 0 !important; 
            padding: 0 !important;
        }

        p, th , td {
            font-size: 10pt !important;
            line-height: 1.27;
        }


        p > span {
            margin-left: 15pt;
        }

        thead {
            display: table-row-group !important;
            page-break-inside: avoid;
        }

        #print-button{
            display: none;
        }
        .h2-tiket{
            display: none;
        }
    
        .header *, .content * {
            display: none;
        }
    
        #detail-rawat-jalan{
            display: block;
        }
    
        #p-awal-dokter {
            display: block !important;
            top: 0;
        }
    }

    .mat-tab-labels{
        display: none !important;
    }
}
